#!/bin/bash
# Author: sundeep471@gmail.com <23rd July 2014>
# Purpose: To Monitor CPU/cluster states and Clock frequency on Jetson-TK1/L4T boards

#CLUSTER=`cat /sys/kernel/cluster/active`
#CLOCK=`cat /sys/kernel/debug/clock/cpu/rate`
#CPU_STATUS=`find /sys/devices/system/cpu -name 'online' -exec cat {} \; | tr -s '\n' '\t'`

[ `whoami` != root ] && echo -e "Error: Run this script($0) as a root user \n\t\tOR\n\tsudo $0" && exit 1

echo -e "CPU_CLUSTER\tCLOCK(MHz)\tCPU0\tCPU1\tCPU2\tCPU3\tCPUs(active)"
while [ 1 ]; do 
echo -e "`cat /sys/kernel/cluster/active`\t \
	$((`cat /sys/kernel/debug/clock/cpu/rate`/(1000*1000)))\t \
	`find /sys/devices/system/cpu -name 'online' -exec cat {} \; | tr -s '\n' '\t'`"
sleep 1
done

